### Method

# Ide Buffer dup_uri

#### Declaration

    gchar*
    ide_buffer_dup_uri (
      IdeBuffer* self
    )

#### Description

Gets the URI for the underlying file and returns a copy of it.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A new string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.